#
# spec file for package elib
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           elib
BuildRequires:  emacs-x11
%if 0%{suse_version} > 1220
BuildRequires:  makeinfo
%endif
Requires:       emacs
PreReq:         %install_info_prereq
Version:        1.0
Release:        1479.16
Summary:        A Lisp Library for GNU Emacs
License:        GPL-2.0+
Group:          Productivity/Editors/Emacs
Source:         elib-1.0.tar.bz2
Patch:          elib-1.0.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the complete GNU Emacs Lisp Library, Elib Version
1.0.  Elib was developed as a library for Emacs-Lisp programs for the
same reasons that libg++ was developed for C++ programs.

Elib contains macros for:

- container data structures (queues, stacks, AVL trees, and more)

- string handling routines missing in standard Emacs

- routines to handle cookies in a buffer

%prep
%setup -q
%patch

%build
%define prefix /usr
%define datadir %{prefix}/share
%define locallisppath %{datadir}/emacs/site-lisp
%define ELIBDIR %{locallisppath}/elib
export LC_CTYPE=ISO-8859-1
export EMACS_UNIBYTE=1
make prefix=%{prefix} \
     datadir=%{datadir} \
     locallisppath=%{locallisppath} \
     ELIBDIR=%{ELIBDIR} \
     infodir=%{_infodir} \
     MAKEINFO="makeinfo --force"

%install
export LC_CTYPE=ISO-8859-1
export EMACS_UNIBYTE=1
mkdir -p $RPM_BUILD_ROOT%{ELIBDIR}
mkdir -p $RPM_BUILD_ROOT%{_infodir}
make install \
     prefix=$RPM_BUILD_ROOT%{prefix} \
     datadir=$RPM_BUILD_ROOT%{datadir} \
     locallisppath=$RPM_BUILD_ROOT%{locallisppath} \
     ELIBDIR=$RPM_BUILD_ROOT%{ELIBDIR} \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     MAKEINFO="makeinfo --force"
{
  echo ";; %{locallisppath}/suse-start-%{name}.el"
  echo ""
  echo "(add-to-list 'load-path \"%{ELIBDIR}\")"
  echo ""
  echo ";; %{locallisppath}/suse-start-%{name}.el ends here"
} > %{buildroot}%{locallisppath}/suse-start-%{name}.el

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc ChangeLog INSTALL NEWS RELEASING TODO COPYING README
%doc %{_infodir}/elib*
%{ELIBDIR}
%config %{locallisppath}/suse-start-%{name}.el

%changelog
* Fri Feb 27 2015 werner@suse.de
- Make makeinfo less restrict
* Fri Oct  3 2014 crrodriguez@opensuse.org
- This is a noarch package that does not require x11 libraries
  for build, remove them.
* Wed Sep 12 2012 coolo@suse.com
-  add makeinfo as explicit buildrequire
* Fri Apr 20 2007 aj@suse.de
- Remove unneeded build requirements.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Feb  5 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 28 2003 werner@suse.de
- Fix bug #23403: use intall-info for info file
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Nov  8 2001 werner@suse.de
- Add all libs reqired by emacs to neededforbuild
* Wed Mar 28 2001 mfabian@suse.de
- add /usr/share/emacs/site-list/suse-start-elib.el to add
  the elib directory automatically to the Emacs load-path
- rewrite spec file somewhat
- change  BuildArch:  to  noarch
- use BuildRoot
- bzip2 sources
* Tue Mar 13 2001 ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar  8 2001 uli@suse.de
- added xshared to neededforbuild
* Fri Nov 17 2000 ro@suse.de
- ge_exec -> emacs
* Wed Mar  1 2000 uli@suse.de
- moved info files to /usr/share/info
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Apr 15 1999 werner@suse.de
- added export LC_CTYPE=ISO-8859-1 to install section
* Mon Jul 27 1998 bs@suse.de
- added export LC_CTYPE=ISO-8859-1 to build section - emacs needs it.
* Fri Jul 10 1998 bs@suse.de
- added xaw3d to neededforbuild (ge_exec needs it)
* Wed Oct 22 1997 werner@suse.de
- Fix in elib.texi: dir entry
